libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::ipa::ipu3::IPAActiveState Struct Reference

The active state of the IPA algorithms. More...

## Classes
struct | [struct].af
struct | [struct].agc
struct | [struct].awb
struct | [struct].toneMapping

## Public Attributes
struct | af
| Context for the Automatic Focus algorithm.
struct | agc
| Context for the Automatic Gain Control algorithm.
struct | awb
| Context for the Automatic White Balance algorithm.
struct | toneMapping
| Context for ToneMapping and Gamma control.

## Detailed Description

The active state of the IPA algorithms.

The IPA is fed with the statistics generated from the latest frame captured by the hardware. The statistics are then processed by the IPA algorithms to compute ISP parameters required for the next frame capture. The current state of the algorithms is reflected through the IPAActiveState to store the values most recently computed by the IPA algorithms.

## Member Data Documentation

## ◆ agc

struct libcamera::ipa::ipu3::IPAActiveState::[struct].agc libcamera::ipa::ipu3::IPAActiveState::agc

Context for the Automatic Gain Control algorithm.

The exposure and gain determined are expected to be applied to the sensor at the earliest opportunity.

The documentation for this struct was generated from the following files:

- src/ipa/ipu3/ipa_context.h
- src/ipa/ipu3/ipa_context.cpp